Package org.apache.sysds.runtime.transform.tokenize.builder

# Class TokenizerBuilder

java.lang.Object
org.apache.sysds.runtime.transform.tokenize.builder.TokenizerBuilder

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `TokenizerBuilderWhitespaceSplit`

public abstract class TokenizerBuilder extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TokenizerBuilder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createInternalRepresentation(FrameBlock in, DocumentRepresentation[] internalRepresentation)`
`abstract void`
`createInternalRepresentation(FrameBlock in, DocumentRepresentation[] internalRepresentation, int rowStart, int blk)`
`List<DependencyTask<?>>`
`getTasks(FrameBlock in, DocumentRepresentation[] internalRepresentation)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TokenizerBuilder

public TokenizerBuilder()

## Method Details

### createInternalRepresentation

public void createInternalRepresentation(FrameBlock in, DocumentRepresentation[] internalRepresentation)

### createInternalRepresentation

public abstract void createInternalRepresentation(FrameBlock in, DocumentRepresentation[] internalRepresentation, int rowStart, int blk)

### getTasks

public List<DependencyTask<?>> getTasks(FrameBlock in, DocumentRepresentation[] internalRepresentation)